---
updatedAt: 2025-09-18T22:22:41.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# Get minted NFTs by account

This endpoint returns a set of NFTs minted by an account address.

### API Endpoint

`https://open-platform.nodereal.io/{apiKey}/nftscan`

**method\_path**:`/api/v2/account/mint/{account_address}/{chain_name}`

**method\_type**:`GET`

**Request**:

| Parameters        | Descriptions                                                                                                                                                                                                                                                                                                                     | Query Type | Required | Data Type      | schema |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------- | -------- | -------------- | ------ |
| account\_address  | The address of the minter of the assets, defaultValue{0xca1257ade6f4fa6c6834fdc42e030be6c0f5a813}                                                                                                                                                                                                                                | path       | true     | string         |        |
| chain\_name       | Name of the chain you’re querying. List of supported values: "eth" for Ethereum; "bnb" for BNB Smart Chain; "polygon" for Polygon; "moonbeam" for Moonbeam; "arbitrum" for Arbitrum One; "optimism" for Optimism; "platon" for PlatON; "avalanche" for Avalanche; "cronos" for Cronos; "fantom" for Fantom; "gnosis" for Gnosis; | path       | true     | string         |        |
| contract\_address | The NFT contract address for the assets                                                                                                                                                                                                                                                                                          | query      | false    | string         |        |
| erc\_type         | option{erc721,erc1155}                                                                                                                                                                                                                                                                                                           | query      | false    | string         |        |
| cursor            | A cursor to retrieve the next page                                                                                                                                                                                                                                                                                               | query      | false    | string         |        |
| limit             | Page size. Defaults to 20, capped at 100                                                                                                                                                                                                                                                                                         | query      | false    | integer(int32) |        |
| show\_attribute   | Whether to obtain attributes for the assets, option{false,true}                                                                                                                                                                                                                                                                  | query      | false    | boolean        |        |

**Response**:

| Parameters                   | Descriptions                                                                                     | Data Type      | schema                   |
| ---------------------------- | ------------------------------------------------------------------------------------------------ | -------------- | ------------------------ |
| code                         | Response status code (200 means the request was successful, 4XX or 5XX means the request failed) | integer(int32) | integer(int32)           |
| data                         | Response data                                                                                    |                |                          |
|   content                    | The data content                                                                                 | array          | AssetModel               |
|     amount                   | The amount of the NFT                                                                            | string         |                          |
|     attributes               | List of attributes                                                                               | array          | AssetAttributeValueModel |
|       attribute\_name        | The attribute name                                                                               | string         |                          |
|       attribute\_value       | The value for the attribute name                                                                 | string         |                          |
|       percentage             | How many items have this attribute value                                                         | string         |                          |
|     content\_type            | The content type                                                                                 | string         |                          |
|     content\_uri             | The content URI to display                                                                       | string         |                          |
|     contract\_address        | The contract address                                                                             | string         |                          |
|     contract\_name           | The name of the contract                                                                         | string         |                          |
|     contract\_token\_id      | The token ID of the NFT in Hex                                                                   | string         |                          |
|     description              | The description to display                                                                       | string         |                          |
|     erc\_type                | The erc type of the NFT                                                                          | string         |                          |
|     external\_link           | External link to the original website                                                            | string         |                          |
|     image\_uri               | The image URI to display                                                                         | string         |                          |
|     latest\_trade\_price     | The latest trade price for the item                                                              | number         |                          |
|     latest\_trade\_symbol    | The latest trade symbol for the item                                                             | string         |                          |
|     latest\_trade\_timestamp | The latest trade timestamp in milliseconds for the item                                          | integer        |                          |
|     latest\_trade\_token     | The latest trade token for the item                                                              | string         |                          |
|     metadata\_json           | The metadata in JSON format                                                                      | string         |                          |
|     mint\_price              | The price when the item was minted (null if the item is an ERC-1155 NFT)                         | number         |                          |
|     mint\_timestamp          | The timestamp in milliseconds when the item was minted                                           | integer        |                          |
|     mint\_transaction\_hash  | The transaction hash when the item was minted                                                    | string         |                          |
|     minter                   | The user address who minted the item                                                             | string         |                          |
|     name                     | The name                                                                                         | string         |                          |
|     nftscan\_id              | The unique ID generated for the item by NFTScan                                                  | string         |                          |
|     nftscan\_uri             | The image URI stored by NFTScan (null if not stored by NFTScan)                                  | string         |                          |
|     own\_timestamp           | The timestamp in milliseconds when the item was owned (null if the item is an ERC-1155 NFT)      | integer        |                          |
|     owner                    | The user address who owns the item now (null if the item is an ERC-1155 NFT)                     | string         |                          |
|     rarity\_rank             | The rarity rank for the item                                                                     | integer        |                          |
|     rarity\_score            | The rarity score for the item                                                                    | number         |                          |
|     small\_nftscan\_uri      | The small image URI stored by NFTScan (null if not stored by NFTScan)                            | string         |                          |
|     token\_id                | The token ID of the NFT in Number                                                                | string         |                          |
|     token\_uri               | The token URI                                                                                    | string         |                          |
|   next                       | The next cursor to be supplied as a query param to retrieve the next page                        | string         |                          |
|   total                      | The total of the results matching the query                                                      | integer(int64) |                          |
| msg                          | Error message when request fails                                                                 | string         |                          |

**Example**:

```javascript
{
	"code": 200,
	"data": {
		"content": [
			{
				"amount": "1",
				"attributes": [
					{
						"attribute_name": "Background",
						"attribute_value": "Yellow",
						"percentage": "16.49%"
					}
				],
				"content_type": "image/png",
				"content_uri": "QmPbxeGcXhYQQNgsC6a36dDyYUcHgMLnGKnF8pVFmGsvqi",
				"contract_address": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
				"contract_name": "BoredApeYachtClub",
				"contract_token_id": "0x0000000000000000000000000000000000000000000000000000000000000001",
				"description": "",
				"erc_type": "erc721",
				"external_link": "",
				"image_uri": "QmPbxeGcXhYQQNgsC6a36dDyYUcHgMLnGKnF8pVFmGsvqi",
				"latest_trade_price": 38.77,
				"latest_trade_symbol": "WETH",
				"latest_trade_timestamp": 1652567645000,
				"latest_trade_token": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
				"metadata_json": "{\"image\":\"ipfs://QmPbxeGcXhYQQNgsC6a36dDyYUcHgMLnGKnF8pVFmGsvqi\",\"attributes\":[{\"trait_type\":\"Mouth\",\"value\":\"Grin\"},{\"trait_type\":\"Clothes\",\"value\":\"Vietnam Jacket\"},{\"trait_type\":\"Background\",\"value\":\"Orange\"},{\"trait_type\":\"Eyes\",\"value\":\"Blue Beams\"},{\"trait_type\":\"Fur\",\"value\":\"Robot\"}]}",
				"mint_price": 0.7,
				"mint_timestamp": 1619133220000,
				"mint_transaction_hash": "0xcfb197f62ec5c7f0e71a11ec0c4a0e394a3aa41db5386e85526f86c84b3f2796",
				"minter": "0xaba7161a7fb69c88e16ed9f455ce62b791ee4d03",
				"name": "#1",
				"nftscan_id": "NSB313FC3396961075",
				"nftscan_uri": "https://dm2zb8bwza29x.cloudfront.net/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/0x0000000000000000000000000000000000000000000000000000000000000001.png",
				"own_timestamp": 1619817106000,
				"owner": "0xaba7161a7fb69c88e16ed9f455ce62b791ee4d03",
				"rarity_rank": 2668,
				"rarity_score": 1.06,
				"small_nftscan_uri": "https://d3v0kmlgfpwg7s.cloudfront.net/0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d/0x0000000000000000000000000000000000000000000000000000000000000001.png",
				"token_id": "1",
				"token_uri": "https://dweb.link/ipfs/QmeSjSinHpPnmXmspMjwiXyN6zS4E9zccariGR3jxcaWtq/1"
			}
		],
		"next": "NS871DD6359B64187E",
		"total": 30000
	},
	"msg": ""
}
```